<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">

    <title>
      {{#if title}}
        {{title}}
      {{else}}
        Code Challenge [dot] dev
      {{/if}}
    </title>

    <meta property="og:title" content="{{#if title}}{{title}}{{else}}Code Challenge [dot] dev{{/if}}" />
    <meta property="og:type" content="article" />
    <meta property="og:url" content="{{BASE_URL}}{{ORIGINAL_URL}}" />
    <meta property="og:image" content="https://codechallenge.dev/img/card.png" />

    <meta name="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="{{BASE_URL}}{{ORIGINAL_URL}}">
    <meta name="twitter:title" content="{{#if title}}{{title}}{{else}}Code Challenge [dot] dev{{/if}}">
    {{!-- <meta name="twitter:description" content=""> --}}
    <meta name="twitter:image" content="https://codechallenge.dev/img/card.png">


    <link rel='stylesheet' href='/css/main.css' />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/marked/marked.min.js"></script>
    <script async defer data-website-id="0f8662b8-8009-4a60-873e-c4bc6d18bac9" src="https://umami.boleary.dev/umami.js"></script>
  </head>
  <body>
    {{#if hideApp}}
      {{{body}}}
    {{else}}
      {{> navbar}}
      {{> generalError }}
      <section class="section" style="min-height: 75vh;">
        {{{body}}}
      </section>
      {{> footer}}
    {{/if}}

    <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
    <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    <script src="/js/main.js"></script>
    {{{_sections.script}}}
  </body>
</html>
